Package org.eclipse.net4j.util.om.log

## Class FileLogHandler

- java.lang.Object
- - org.eclipse.net4j.util.om.log.AbstractLogHandler
  - - org.eclipse.net4j.util.om.log.FileLogHandler

- All Implemented Interfaces:
    `OMLogHandler`

      public class FileLogHandler
      extends AbstractLogHandler

  A `log handler` that appends log events to a `file`.

  The file is opened before and closed after each log event.

  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    `PrintLogHandler`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FileLogHandler​(java.io.File logFile)` |
    `FileLogHandler​(java.io.File logFile, OMLogger.Level logLevel)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getLogFile()` |
    `protected void` | `writeLog​(OMLogger logger, OMLogger.Level level, java.lang.String msg, java.lang.Throwable t)` |

    - ### Methods inherited from class org.eclipse.net4j.util.om.log.AbstractLogHandler

      `getLogLevel, logged, setLogLevel, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileLogHandler

          public FileLogHandler​(java.io.File logFile,
                                OMLogger.Level logLevel)

    - #### FileLogHandler

          public FileLogHandler​(java.io.File logFile)

  - ### Method Detail

    - #### getLogFile

          public java.io.File getLogFile()

    - #### writeLog

          protected void writeLog​(OMLogger logger,
                                  OMLogger.Level level,
                                  java.lang.String msg,
                                  java.lang.Throwable t)
                           throws java.lang.Throwable

      Specified by:
        `writeLog` in class `AbstractLogHandler`
      Throws:
        `java.lang.Throwable`